package com.njzscloud.dispose.cst.truck.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njzscloud.common.mp.support.PageParam;
import com.njzscloud.common.mp.support.PageResult;
import com.njzscloud.dispose.cst.truck.pojo.entity.TruckEntity;

import java.util.List;

/**
 * 车辆信息
 * @author ljw
 */
public interface TruckService extends IService<TruckEntity> {

    void add(TruckEntity truckEntity);

    void modify(TruckEntity truckEntity);

    void del(List<Long> ids, Boolean manager);

    TruckEntity detail(Long id);

    PageResult<TruckEntity> paging(PageParam pageParam, TruckEntity truckEntity);
}


